import { RenderRequestedEventArgs as RenderRequestedEventArgs_internal } from "./RenderRequestedEventArgs";
/**
 * EventArgs class for RenderRequested events.
*/
export declare class RenderRequestedEventArgs {
    protected createImplementation(): RenderRequestedEventArgs_internal;
    protected _implementation: any;
    readonly i: RenderRequestedEventArgs_internal;
    private onImplementationCreated();
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * True if animation is requested.
    */
    animate: boolean;
}
